Have you updated your internet browser?

We want to make sure that MyMaths continues to provide you with the best teaching and learning experience as technology advances. For this reason, we will no longer support Internet Explorer 9 and 10 from January 2016 in line with Microsoft's Internet Explorer support policy announced on 7th August 2014.

While MyMaths will most likely continue to work in these older versions of Internet Explorer, you will need to upgrade to IE 11 or above to receive the best performance.

If your school uses an older version, please contact your IT Manager in the first instance to confirm how to go about upgrading to a current version.

If you have any further questions, please do not hesitate to contact us.


Lucy